Subject: [Cbor] Magic number

From: [email-masked] (Dale R. Worley)
Date: Thu, 28 Nov 2019 11:35:55 -0500

This is a small thing, and perhaps its been settled, but I couldn't find
anything in the archives about it:  The media type registration for
application/cbor in RFC 7049 says that there's no magic number for CBOR.
But section 2.4.5 defines a CBOR tag that whose purpose is to implement
a magic number, 0xd9_d9_f7.  And this is carried forward into
7049bis-09.  It seems to me that the registration should be corrected.

Dale

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 28 Nov 2019 17:56:37 +0100

Hi Dale,

> 7049bis-09.  It seems to me that the registration should be corrected.

Good point.
However, not all CBOR carries this magic number.
With the tag, you can have that magic number if you like.
(Actually, you can register your own tag to have your own magic number, too; see for example the “RAINS” tag 15309736 which happens to pop up a 雨 [rain] character at the start of the data item.)

I don’t know if there is a way to say that “there is an optional magic number defined that can be used by applications that want to use it” in a media type registration.

So far, not a lot of applications have picked up using the 55799 magic number.

Grüße, Carsten